#ifndef HELLOWORLD_H
#define HELLOWORLD_H

#include <QtGui/QMainWindow>
#include "ui_helloworld.h"
#include "WiiMoteThread.h"

class HelloWorld : public QMainWindow
{
    Q_OBJECT

public:
    HelloWorld(WiiMoteThread* wii, QWidget *parent = 0);
    ~HelloWorld();

    int livingRoomLED_state;
    int kitchenLED_state;
//	WiiMoteThread *wiimote;

public slots:
	void livingRoomLights();
	void kitchenLights();
	void garageSwitch(int state);

private:
    Ui::HelloWorldClass ui;
};

#endif // HELLOWORLD_H
